/**************************************************************************************************************
initPLL_2146x function usage

S.No  parameter name	Input range/values	  Description

1.    multi				0 - 63        		  Chooses the multiplier value from 0 to 63. Value of 0 corresponds to 64.
2.    div               0 ,1,2 and 3 		  Chooses the divider value,   0 - Divider value 2
																		   1 - Divider value 4
																		   2 - Divider value 8
																		   3 - Divider value 16
3.    ddr2ckr           0 , 2 and 4 		  Chooses the cclk to ddr2clock ratio,   0 - CCLK-DDR2CLK ratio 2
																		             2 - CCLK-DDR2CLK ratio 3
																		   			 4 - CCLK-DDR2CLK ratio 4

4.	  indiv				true , false          True - Enables the Input Divider
											  False - Disables the Input Divider
5.    lckr           	0 ,1,2 and 3 		  Chooses the cclk to linkportclock ratio,
																		  0 - CCLK-LPCLK ratio 2
																		  1 - CCLK-LPCLK ratio 2.5
																		  2 - CCLK-LPCLK ratio 3
																		  3 - CCLK-LPCLK ratio 4
****************************************************************************************************************/
void initPLL_2146x(int multi,int div,int ddr2ckr,bool indiv,int lckr);
void initPLL_2146x_15000020_workaround(int multi,int div,int ddr2ckr,bool indiv,int lckr);

/**************************************************************************************************************
initPLL_2147x/initPLL_2148x functions usage

S.No  parameter name	Input range/values	  Description

1.    multi				0 - 63        		  Chooses the multiplier value from 0 to 63. Value of 0 corresponds to 64.
2.    div               0 ,1,2 and 3 		  Chooses the divider value,   0 - Divider value 2
																		   1 - Divider value 4
																		   2 - Divider value 8
																		   3 - Divider value 16
3.    sdckr           	0 ,1, 2 ,3 and 4 	  Chooses the cclk to SDRAMclock ratio,   0 - CCLK-SDCLK ratio 2
																					  1 - CCLK-SDCLK ratio 2.5
																		              2 - CCLK-SDCLK ratio 3
																		              3 - CCLK-SDCLK ratio 3.5
																		   			  4 - CCLK-SDCLK ratio 4

4.	  indiv				true , false          True - Enables the Input Divider
											  False - Disables the Input Divider
****************************************************************************************************************/
void initPLL_2147x(int multi,int div,int sdckr,bool indiv);
void initPLL_2147x_15000020_workaround(int multi,int div,int sdckr,bool indiv);

void initPLL_2148x(int multi,int div,int sdckr,bool indiv);
void initPLL_2148x_15000020_workaround(int multi,int div,int sdckr,bool indiv);